DJI Thermal SDK API v1.4 Infrared camera image processing and temperature measurement library API

Data Fields
dirp_api_wrapper_t Struct Reference

`#include <dirp_wrapper.h>`

## Data Fields
int32_t(* | create_from_rjpeg )(const uint8_t *, int32_t, DIRPV_HANDLE *)
int32_t(* | destroy )(DIRPV_HANDLE)
int32_t(* | get_rjpeg_version )(DIRPV_HANDLE, dirp_rjpeg_version_t *)
int32_t(* | get_rjpeg_resolution )(DIRPV_HANDLE, dirp_resolution_t *)
int32_t(* | get_original_raw )(DIRPV_HANDLE, uint16_t *, int32_t)
int32_t(* | process )(DIRPV_HANDLE, uint8_t *, int32_t)
int32_t(* | process_strech )(DIRPV_HANDLE, float *, int32_t)
int32_t(* | measure )(DIRPV_HANDLE, int16_t *, int32_t)
int32_t(* | measure_ex )(DIRPV_HANDLE, float *, int32_t)
int32_t(* | set_isotherm )(DIRPV_HANDLE, const dirp_isotherm_t *)
int32_t(* | get_isotherm )(DIRPV_HANDLE, dirp_isotherm_t *)
int32_t(* | set_color_bar )(DIRPV_HANDLE, const dirp_color_bar_t *)
int32_t(* | get_color_bar )(DIRPV_HANDLE, dirp_color_bar_t *)
int32_t(* | get_color_bar_adaptive_params )(DIRPV_HANDLE, dirp_color_bar_t *)
int32_t(* | set_pseudo_color )(DIRPV_HANDLE, dirp_pseudo_color_e)
int32_t(* | get_pseudo_color )(DIRPV_HANDLE, dirp_pseudo_color_e *)
int32_t(* | set_enhancement_params )(DIRPV_HANDLE, const dirp_enhancement_params_t *)
int32_t(* | get_enhancement_params )(DIRPV_HANDLE, dirp_enhancement_params_t *)
int32_t(* | set_measurement_params )(DIRPV_HANDLE, const dirp_measurement_params_t *)
int32_t(* | get_measurement_params )(DIRPV_HANDLE, dirp_measurement_params_t *)
int32_t(* | get_measurement_params_range )(DIRPV_HANDLE, dirp_measurement_params_range_t *)
int32_t(* | get_pseudo_color_lut )(dirp_isp_pseudo_color_lut_t *)
void(* | set_verbose_level )(dirp_verbose_level_e)

## Field Documentation

## ◆ create_from_rjpeg

int32_t(* create_from_rjpeg) (const uint8_t *, int32_t, DIRPV_HANDLE *)

## ◆ destroy

int32_t(* destroy) (DIRPV_HANDLE)

## ◆ get_color_bar

int32_t(* get_color_bar) (DIRPV_HANDLE, dirp_color_bar_t *)

## ◆ get_color_bar_adaptive_params

int32_t(* get_color_bar_adaptive_params) (DIRPV_HANDLE, dirp_color_bar_t *)

## ◆ get_enhancement_params

int32_t(* get_enhancement_params) (DIRPV_HANDLE, dirp_enhancement_params_t *)

## ◆ get_isotherm

int32_t(* get_isotherm) (DIRPV_HANDLE, dirp_isotherm_t *)

## ◆ get_measurement_params

int32_t(* get_measurement_params) (DIRPV_HANDLE, dirp_measurement_params_t *)

## ◆ get_measurement_params_range

int32_t(* get_measurement_params_range) (DIRPV_HANDLE, dirp_measurement_params_range_t *)

## ◆ get_original_raw

int32_t(* get_original_raw) (DIRPV_HANDLE, uint16_t *, int32_t)

## ◆ get_pseudo_color

int32_t(* get_pseudo_color) (DIRPV_HANDLE, dirp_pseudo_color_e *)

## ◆ get_pseudo_color_lut

int32_t(* get_pseudo_color_lut) (dirp_isp_pseudo_color_lut_t *)

## ◆ get_rjpeg_resolution

int32_t(* get_rjpeg_resolution) (DIRPV_HANDLE, dirp_resolution_t *)

## ◆ get_rjpeg_version

int32_t(* get_rjpeg_version) (DIRPV_HANDLE, dirp_rjpeg_version_t *)

## ◆ measure

int32_t(* measure) (DIRPV_HANDLE, int16_t *, int32_t)

## ◆ measure_ex

int32_t(* measure_ex) (DIRPV_HANDLE, float *, int32_t)

## ◆ process

int32_t(* process) (DIRPV_HANDLE, uint8_t *, int32_t)

## ◆ process_strech

int32_t(* process_strech) (DIRPV_HANDLE, float *, int32_t)

## ◆ set_color_bar

int32_t(* set_color_bar) (DIRPV_HANDLE, const dirp_color_bar_t *)

## ◆ set_enhancement_params

int32_t(* set_enhancement_params) (DIRPV_HANDLE, const dirp_enhancement_params_t *)

## ◆ set_isotherm

int32_t(* set_isotherm) (DIRPV_HANDLE, const dirp_isotherm_t *)

## ◆ set_measurement_params

int32_t(* set_measurement_params) (DIRPV_HANDLE, const dirp_measurement_params_t *)

## ◆ set_pseudo_color

int32_t(* set_pseudo_color) (DIRPV_HANDLE, dirp_pseudo_color_e)

## ◆ set_verbose_level

void(* set_verbose_level) (dirp_verbose_level_e)

The documentation for this struct was generated from the following file:

- E:/Jenkins/camsw/workspace/farm_prj/farm_gd610_tsdk_commit_pipeline/build_windows/Include/dirp_wrapper.h